## org.apache.mahout.ga.watchmaker
Class MahoutEvaluator

    java.lang.Object
      org.apache.mahout.ga.watchmaker.MahoutEvaluator

    public final class MahoutEvaluator

extends java.lang.Object

Generic Mahout distributed evaluator. takes an evaluator and a population and launches a Hadoop job. The job evaluates the fitness of each individual of the population using the given evaluator. Takes care of storing the population into an input file, and loading the fitness from job outputs.

Method Summary
`static void` `evaluate(org.uncommons.watchmaker.framework.FitnessEvaluator<?> evaluator, java.util.List<?> population, java.util.List<java.lang.Double> evaluations)` Uses Mahout to evaluate every candidate from the input population using the given evaluator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public static void evaluate(org.uncommons.watchmaker.framework.FitnessEvaluator<?> evaluator,
                                java.util.List<?> population,
                                java.util.List<java.lang.Double> evaluations)
                         throws java.io.IOException,
                                java.lang.ClassNotFoundException,
                                java.lang.InterruptedException

  Uses Mahout to evaluate every candidate from the input population using the given evaluator.

  Parameters:
    `evaluator` - FitnessEvaluator to use
    `population` - input population
    `evaluations` - `List<Double>` that contains the evaluated fitness for each candidate from the input population, sorted in the same order as the candidates.
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.